# Custom Chunks

In react-cli we provide options to create custom chunks.  
This Custom Chunk Option is array of Object
that Object keys are

- `pattern` regex pattern as string
- `name` chunk name
- `size` is count which is minmum chunk dublicated or need in chunks

> Since 0.0.1-exp.164.1

extra features in custom chunks :-
for more details [SplitChunkPlugin](https://webpack.js.org/plugins/split-chunks-plugin/) webpack

- `minChunks`: `minChunks` is alies of `size` default value is `2`,
- `rules`: `rules` is same as `pattern` with some easy hooks
  - use `/` for both windows and linux we will replace internally
  - for `.*` we need to use `*`
  - we can consider rules as regex when the `rules-string` has any of these `*`, `^`, `$`. So if you want regex then kindly use `*` in your `rules-string` for force regex
- `chunks`: by this option we can specify , default value is `all`,
- `priority`: priority default value is `-10 * (index + 2)`,
- `enforce`: enforce default value is true,
- `maxSize`: maxSize, default value is 0,
- `minSize`: minSize, default value is 20000,
  includeDepenency: includeDepenency default value is false
