"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _postcss = _interopRequireDefault(require("postcss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ComposeCommonPlugin {
  constructor(options = {}) {
    this.optimize = options.optimize;
  }

  apply(compiler) {
    compiler.hooks.compilation.tap('OptimizeJSPlugin', compilation => {
      compilation.hooks.optimizeModules.tap('OptimizeMods', modules => {
        modules.forEach(module => {
          console.log(module);
        });
      });
    });
  }

}

var _default = ComposeCommonPlugin;
exports.default = _default;