"use strict";

var _postcss = _interopRequireDefault(require("postcss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// module.exports = postcss.plugin('postcss-value-replacer', opts => {
//   const { plugins } = opts;
//   return (root, result) => {
//     const inputFile = root.source.input.file;
//     let isIgnoredFile= opts.ignore.some(file => inputFile.indexOf(file)!==-1);
//     if (!isIgnoredFile) {
//       const handler = response =>
//         response.messages.forEach(msg => result.messages.push(msg));
//       return postcss(plugins)
//         .process(root, { from: undefined })
//         .then(handler);
//     }
//   };
// });
// export default 
module.exports = _postcss.default.plugin('postcss-value-replacer', (valueReplacer = {}) => // Work with options here
root => {
  root.walkDecls(decl => {
    valueReplacer.forEach(obj => {
      if (obj.props.indexOf(decl.prop) !== -1) {
        let ks = Object.keys(obj.values).sort((a, b) => b.length - a.length);
        ks.forEach(k => {
          decl.value = decl.value.replace(k, obj.values[k]);
        }); //decl.value = obj.values[decl.value];
      }
    }); //console.log({root, roots:root+""}, root+"")
    // Transform CSS AST here
  }); // root.walkDecls(decl => {
  //   valueReplacer.forEach(obj => {
  //     if (
  //       obj.props.indexOf(decl.prop) !== -1 &&
  //       obj.values[decl.value] !== undefined
  //     ) {
  //       decl.value = obj.values[decl.value];
  //     }
  //   });
  //   //console.log({root, roots:root+""}, root+"")
  //   // Transform CSS AST here
  // });
});