"use strict";

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (source) {
  let comNameAry = this.resourcePath.split(_path.default.sep);
  let filePath = this.resourcePath;

  let appPath = _fs.default.realpathSync(process.cwd());

  let changePath = filePath.replace('/lib/', '/src/');
  let comName = comNameAry[comNameAry.length - 1];
  let name = comName.substring(0, comName.lastIndexOf('.'));

  let src = _fs.default.readFileSync(filePath.startsWith(appPath) ? filePath : changePath).toString();

  return `${source};${name}.source=${JSON.stringify(src)};${name}.filePath=${JSON.stringify(filePath)}`;
};