"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

function SSTMiddleware(compiler, callback) {
  compiler.hooks.done.tap('SSTMiddleware', stats => {
    (0, _utils.log)('Compilation finished!');
    callback(stats.compilation.assets['js/moduleStats.js'].source());
  });
  return (res, req, next) => {
    next();
  };
}

var _default = SSTMiddleware;
exports.default = _default;