"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

let options = (0, _utils.getOptions)();
let {
  impactService: {
    componentServiceName,
    svgServiceName,
    iconServiceName,
    variableServiceName,
    dotServiceName,
    sourceServiceName
  }
} = options;
var _default = {
  AppSource: {
    impactService: sourceServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080"
  },
  "components": {
    projectId: "5515",
    impactService: componentServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080",
    name: "@zohodesk/components"
  },
  "dot": {
    projectId: "5515",
    impactService: dotServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080",
    name: "@zohodesk/dot"
  },
  "svg": {
    projectId: "5515",
    impactService: svgServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080",
    name: "@zohodesk/svg"
  },
  "icons": {
    projectId: "5515",
    impactService: iconServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080",
    name: "@zohodesk/icons"
  },
  "variables": {
    projectId: "5515",
    impactService: variableServiceName,
    gitDomain: "ht" + "tps://zgit.csez.zohocorpin.com",
    impactDomain: "ht" + "tp://desk-automation.csez.zohocorpin.com:8080",
    name: "@zohodesk/variables"
  }
};
exports.default = _default;